//
//  AppDelegate.m
//  ISIDReaderCameraPreviewDemo
//
//  Created by Simon liu on 17/2/7.
//  Copyright © 2017年 xzliu. All rights reserved.
//

#import "AppDelegate.h"
#import <ISOpenSDKFoundation/ISOpenSDKFoundation.h>
#import <ISIDReaderPreviewSDK/ISIDReaderPreviewSDK.h>
#import "ISLaunchAnimateViewController.h"
#import "IntSigSDKStatus.h"
#import "ISViewController.h"
@interface AppDelegate ()<ISOpenSDKCameraViewControllerDelegate>

@property (nonatomic, weak) UIViewController *baseViewController;

@end

@implementation AppDelegate


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    // Override point for customization after application launch.
    
    self.window = [[UIWindow alloc] initWithFrame:[UIScreen mainScreen].bounds];
    //#error Please fill in your appKey
    NSString *appKey = @"d90be979cc79afb204902eaff1-vagfvt";
    NSString *subAppkey = nil;//reserved for future use
    ISOpenSDKCameraViewController *cameraVC = [[ISIDCardReaderController sharedISOpenSDKController] cameraViewControllerWithAppkey:appKey subAppkey:subAppkey needCompleteness:YES];
    cameraVC.customInfo = NSLocalizedString(@"Please put the IDCard in the box", @"请将身份证放在框内识别");
    cameraVC.shouldHightlightCorners = YES;
    cameraVC.delegate = self;
    self.baseViewController = cameraVC;
    [self.window setRootViewController:cameraVC];
    [self.window makeKeyAndVisible];
    return YES;
}

#pragma mark ISOpenSDKFoundation Delegate
- (void)constructResourcesDidFinishedWithStatusCode:(ISOpenSDKStatus)status
{
    if (status != ISOpenSDKStatusSuccess)
    {
        NSLog(@"Init SDK failed with code:%ld", (long)status);
        NSString *msgStr = [IntSigSDKStatus statusAnalysis:status];
        NSString *messageString = [NSString stringWithFormat:@"[%ld]%@",(long)status,msgStr];
        UIAlertView *alertView = [[UIAlertView alloc] initWithTitle:@"Error" message:messageString delegate:nil cancelButtonTitle:@"OK" otherButtonTitles:nil];
        [alertView show];
    }
}
- (void)cameraViewController:(UIViewController *)viewController didClickCancelButton:(id)sender
{
    NSLog(@"click cancel button");
}
- (void)cameraViewController:(UIViewController *)viewController didFinishRecognizeCard:(NSDictionary *)resultInfo cardSDKType:(ISOpenPreviewSDKType)sdkType
{
    if (resultInfo != nil)
    {
        ISViewController *resultVC = [[ISViewController alloc] initWithDictionary:resultInfo loadImageBool:YES];
        UINavigationController *navigationController = [[UINavigationController alloc] initWithRootViewController:resultVC];
        [self.baseViewController presentViewController:navigationController animated:YES completion:nil];
    }
}

- (void)applicationWillResignActive:(UIApplication *)application {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application {
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application {
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}



@end
