//
//  ISHomeViewController.m
//  ISIDReader
//
//  Created by Simon Liu on 17/3/9.
//  Copyright © 2017年 xzliu. All rights reserved.
//

#import "ISHomeViewController.h"
#import <ISIDReaderPreviewSDK/ISIDReaderPreviewSDK.h>
#import <ISOpenSDKFoundation/ISOpenSDKFoundation.h>
#import "ISViewController.h"
#import "MBProgressHUD.h"

#define IS_DEVICE_HEIGHT    [[UIScreen mainScreen] bounds].size.height
#define IS_DEVICE_WIDTH     [[UIScreen mainScreen] bounds].size.width

#define IS_AppKey @"d90be979cc79afb204902eaff1-vagfvt"
#define IS_SubKey @""

#define IS_IPHONE (UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPhone)
#define SCREEN_MAX_LENGTH (MAX(IS_DEVICE_WIDTH, IS_DEVICE_HEIGHT))
#define IS_IPHONE_5 (IS_IPHONE && SCREEN_MAX_LENGTH == 568.0)


@interface ISHomeViewController ()<ISOpenSDKCameraViewControllerDelegate,UIImagePickerControllerDelegate,UINavigationControllerDelegate>
{
    int _selectRecognType;
    int _recognInt;


}
@property (nonatomic, strong) ISOpenSDKCameraViewController *openSDKCameraVC;

@end

@implementation ISHomeViewController

- (void)viewWillAppear:(BOOL)animated
{
    self.navigationController.navigationBarHidden = YES;

}

- (void)viewDidLoad {
    [super viewDidLoad];
    [self setupUISettings];
    
}



- (void)setupUISettings
{
    int i = 1;
    UIButton *btn = [[UIButton alloc]init];
    btn.frame = CGRectMake(IS_DEVICE_WIDTH/3/2, IS_DEVICE_HEIGHT*2/3, IS_DEVICE_WIDTH*2/3 , 44);
    btn.tag = 1000+i;
    [btn setImage:[UIImage imageNamed:@"IS_Market_Recognition"] forState:UIControlStateNormal];
    btn.backgroundColor = [UIColor colorWithRed:42.0f/255.0f green:125.0f/255.0f blue:243.0f/255.0f alpha:1];
    btn.titleLabel.font = [UIFont systemFontOfSize:14.0f];
    [btn setTitle:@"     开始识别" forState:UIControlStateNormal];
    [btn setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
    btn.layer.cornerRadius = 5.0f;
    btn.layer.borderWidth = 1.0f;
    btn.layer.borderColor = [UIColor colorWithRed:42.0f/255.0f green:125.0f/255.0f blue:243.0f/255.0f alpha:1].CGColor;
    
    [btn addTarget:self action:@selector(clickPreviewAblumButtonMethod:) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:btn];
    
}

- (void)clickPreviewAblumButtonMethod:(UIButton *)sendBtn
{
    NSString *hintInfo = @"请将身份证放入框内识别";
    _openSDKCameraVC = [[ISIDCardReaderController sharedISOpenSDKController] cameraViewControllerWithAppkey:IS_AppKey subAppkey:IS_SubKey];
    _openSDKCameraVC.shouldHightlightCorners = YES;
    _openSDKCameraVC.customInfo = hintInfo;
    _openSDKCameraVC.delegate = self;
    [self.navigationController pushViewController:_openSDKCameraVC animated:NO];
}

- (void)constructResourcesDidFinishedWithStatusCode:(ISOpenSDKStatus)status
{
    NSLog(@"Init SDK Status:%ld",(long)status);
}


- (void)cameraViewController:(UIViewController *)viewController didFinishRecognizeCard:(NSDictionary *)resultInfo cardSDKType:(ISOpenPreviewSDKType)sdkType
{
    if (resultInfo != nil)
    {
        
        ISViewController *resultVC = [[ISViewController alloc] initWithDictionary:resultInfo loadImageBool:YES];
        [self.navigationController pushViewController:resultVC animated:YES];
    }
}



- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
